Subject: Re: bug#61072: How to change the length of the separation lines in eldoc, used by eglot?

From: Wei-Ting Lin <[email-masked]>
Date: Sat, 18 Feb 2023 10:08:22 -0500

Sorry for the late reply. I think the following is the relevant part, when
the cursor is on function "get_GF_cont_nonint".

[server-reply] (id:1144) Sat Feb 18 10:03:45 2023:
(:id 1144 :jsonrpc "2.0" :result
     (:contents
      (:kind "markdown" :value "### instance-method `get_GF_cont_nonint`
 \n\n---\n→ `double`  \nParameters:  \n- `double tau`\n- `const
std::vector<double> & new_tau`\n\n---\n```cpp\n// In AndersonModel\npublic:
double get_GF_cont_nonint(double tau, const std::vector<double>
&new_tau)\n```")
      :range
      (:end
       (:character 42 :line 166)
       :start
       (:character 24 :line 166))))
[server-reply] (id:1145) Sat Feb 18 10:03:46 2023:
(:id 1145 :jsonrpc "2.0" :result
     [(:kind 1 :range
             (:end
              (:character 42 :line 166)
              :start
              (:character 24 :line 166)))
      (:kind 1 :range
             (:end
              (:character 37 :line 185)
              :start
              (:character 19 :line 185)))])

Wei-Ting

On Thu, Feb 9, 2023 at 12:05 PM Felician Nemeth <[email-masked]>
wrote:

> Wei-Ting Lin <[email-masked]> writes:
>
> > I prefer to have the information shown near the cursor, when it hovers
> on a
> > symbol. I use eldoc-doc for this purpose, and the result is like this
> > <https://i.imgur.com/8O0iEIJ.png>.
> >
> > As seen in the screenshot, the line is too long for the child frame and
> > gets wrapped. How can I change the length of the line?
>
> Can you show what did the LSP server send to Eglot?  The relevant
> message should be near at the end of the events buffer, which you can
> see by M-x eglot-events-buffer RET right after eldoc displays the
> documentation.
>
> Thanks.
>
> > -------------------------------------------------------------------
> >
> > This issue was posted in
> > https://github.com/joaotavora/eglot/discussions/1157 originally.
>